﻿window.onload = function()
{
	installTableOfContents();
}

function installTableOfContents()
{
	var toc = document.getElementById('table_of_contents_h3');
	if (toc)
	{
		var h3s = document.getElementsByTagName('h3'); 
		if (h3s && h3s.length > 0)
		{
			var ol = document.createElement('ol');
			for (var i = 0; i < h3s.length; i++)
			{
				var h3 = h3s[i];
				if (h3.id)
				{
					var li = document.createElement('li');

					var a = document.createElement('a');
					a.href = '#' + h3.id;
					a.appendChild(document.createTextNode(h3.firstChild.nodeValue));

					li.appendChild(a);
					ol.appendChild(li);
				}
			}

			toc.parentNode.replaceChild(ol, toc);
		}
	}
}
